import http from '@/util/http'

export const insIntentionReportList = params => http({
  url: '/commodity/reportingClub/list',
  method: 'GET',
  params,
  headers: {
    isToken: true
  }
})

export const insIntentionReportAdd = data => http({
  url: '/commodity/reportingClub/add',
  method: 'POST',
  data,
  headers: {
    isToken: true
  }
})

export const insIntentionReportDetail = params => http({
  url: '/commodity/reportingClub/details',
  method: 'GET',
  params,
  headers: {
    isToken: true
  }
})

export const insIntentionReportUpdated = params => http({
  url: '/commodity/reportingClub/updateReportingClub',
  method: 'GET',
  params,
  headers: {
    isToken: true
  }
})
