import http from '@/util/http'

// 团队列表
export const getTeamList = params => http({
  url: '/user/distribution/getDistributionList',
  method: 'GET',
  params,
  headers: {
    isToken: true
  }
})

// 成员修改
export const updatedTeam = data => http({
  url: '/user/distribution/updateStatus',
  method: 'POST',
  data,
  headers: {
    isToken: true
  }
})

// 新增团队成员
export const addTeam = data => http({
  url: '/user/distribution/save',
  method: 'POST',
  data,
  headers: {
    isToken: true
  }
})
