import overLayLoading from '@/components/overLay-loading'

const loading = {}

loading.install = (Vue, Options) => {
  const ToastConstruct = Vue.extend(overLayLoading)
  const toast = new ToastConstruct()
  const tDiv = document.createElement('div')
  document.body.appendChild(tDiv)
  toast.$mount(tDiv)

  // 添加实例方法
  Vue.prototype.$showLoading = function () {
    toast.show = true
  }
  Vue.prototype.$hiddenLoading = function () {
    toast.show = false
  }
}

export default loading
