export default {
  filters: {
    isAuditStatus (val) {
      return val * 1 === 1 ? '待审核' : val * 1 === 2 ? '审核通过' : '审核失败'
    },
    isLockStatus (val) {
      return val * 1 === 1 ? '已锁定' : '未锁定'
    }
  },
  methods: {
    /**
    * lockstatus 订单是否锁定 0 未锁定 1 已锁定
    * @param {string} val
    * @returns
    */
    isReportLock: (val) => val * 1 === 1,
    /**
     * orderstatus 是否成交 0 1
     * @param {string} val
     * @returns
     */
    isReportDeal: (val) => val * 1 === 1,
    /**
     * delFlag 订单是否删除
     * @param {*} val
     * @returns
     */
    isReportDelete: (val) => val * 1 !== 0,
    /**
     * 是否通过审核
     * @param {*} val
     * @returns
     */
    isReportAuditStatus: (val) => val * 1 === 2
  }
}
