import http from '@/util/http'

export const addressList = () => http({
  url: '/order/address/select/all',
  method: 'GET',
  headers: {
    isToken: true
  }
})

export const orderAddress = (params) => http({
  url: '/order/address/list',
  method: 'GET',
  params,
  headers: {
    isToken: true
  }
})

export const addressSave = (params) => http({
  url: '/order/address/save',
  method: 'post',
  params,
  headers: {
    isToken: true
  }
})

export const addressDelete = (params) => http({
  url: '/order/address/delete',
  method: 'post',
  params,
  headers: {
    isToken: true
  }
})
