export default {
  data () {
    return {
      orderBtnPermissions: [
        { label: 'isQuery', val: [2, 3, 5, 6, 12, 13, 22, 23, 32, 33], status: true },
        { label: 'isDelete', val: [4], status: true },
        { label: 'isCancel', val: [0, 11], status: true },
        { label: 'isConfirm', val: [0], status: true },
        { label: 'isPay', val: [11, 12, 13, 21, 22, 23], status: true },
        { label: 'isCheckFlag', val: [2], status: true },
        { label: 'isShare', val: [0, 2, 3, 4, 5, 6] }
      ]
    }
  },
  filters: {
    statusFilters (value) {
      // 处理订单状态显示
      const map = {
        0: '待确认',
        2: '交易完成',
        4: '已关闭',
        5: '交易全退',
        6: '交易全退',
        11: '待付款待发货',
        12: '待付款部分发货',
        13: '待付款已发货',
        21: '部分付款待发货',
        22: '部分付款部分发货',
        23: '部分付款已发货',
        31: '已付款待发货',
        32: '已付款部分发货',
        33: '已付款已发货'
      }
      return map[value]
    }
  }
}
